xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::StemImplementation Class Referenceabstract

Class representing a stemming algorithm implementation. More...

`#include <stem.h>`

Inheritance diagram for Xapian::StemImplementation:
[legend]

## Public Member Functions
| StemImplementation ()
| Default constructor.
virtual | ~StemImplementation ()
| Virtual destructor.
virtual std::string | operator() (const std::string &word)=0
| Stem the specified word.
virtual bool | use_proper_noun_heuristic () const
| Should QueryParser suppress stemming for capitalised words?
virtual std::string | get_description () const =0
| Return a string describing this object.

## Detailed Description

Class representing a stemming algorithm implementation.

## Member Function Documentation

## ◆ use_proper_noun_heuristic()

virtual bool Xapian::StemImplementation::use_proper_noun_heuristic | ( |  | ) | const
| virtual

Should QueryParser suppress stemming for capitalised words?

See QueryParser::feature_flag value FLAG_NO_PROPER_NOUN_HEURISTIC for details.

The default implementation of this method returns false.

Since
  Xapian 2.0.0.

The documentation for this class was generated from the following file:

- xapian/stem.h